原理
把密钥与当前时间步长用HMAC(SHA-1、SHA-256、SHA-512)组合,再截取为6位或8位数字,即RFC 6238的TOTP算法。粘贴 otpauth:// 链接会自动设置位数、周期和算法。设备时钟需要大致准确。
密钥 + 时间 ÷ 30 → HMAC-SHA1 → 6位
密钥在哪里?
- 新注册时:二维码旁边的“无法扫描?”或“手动输入”就是密钥。
- 密钥里的空格和横线会被忽略,小写也可以。
- 丢了密钥:本页面找不回来。请到对应网站重新注册两步验证,获取新密钥。
小贴士
- 请把它当作备用查看器,密钥也要在密码管理器里存一份。
- 如果代码总被拒绝,请先检查设备时钟。
- 所有计算都在浏览器中完成,不会上传到任何地方。
标准与来源
- 基于时间的一次性密码(TOTP):RFC 6238;HMAC核心:RFC 4226
- Base32编码:RFC 4648
最后核对于 2026年10月12日
常见问题
去哪找密钥?
网站显示两步验证二维码时,旁边通常有“无法扫描?”或“手动输入”链接——那串字符就是密钥。
为什么代码总被拒绝?
几乎总是时钟问题:TOTP依赖时间,设备时间差几分钟就会生成错误代码。请先检查日期时间的自动设置。
在这里粘贴密钥安全吗?
本页面全程离线运行,密钥不会离开浏览器。不过请把它当作备用查看器,密钥也要在密码管理器里存一份。
丢了密钥怎么办?
这里找不回来。请到对应网站关闭再重新开启两步验证,获取新密钥。